comedi_set_other_source
Prev | 5.4.6. Extensions | Next

## Name

comedi_set_other_source — select source signal for something other than a gate or clock

## Synopsis

    #include <comedilib.h>

`int comedi_set_other_source(` | comedi_t * device,
| unsigned int subdevice,
| unsigned int channel,
| unsigned int other,
| unsigned int source`)`;

## Status

alpha

## Description

This function allows selection of a source signal for something on a subdevice other than a gate (which uses `comedi_set_gate_source`) or a clock (which uses `comedi_set_clock_source`). The `other` parameter selects which “other” we are configuring, and is driver-dependent. The `source` parameter selects the source we which to use for the “other”. If the subdevice does not support configuring its “other” sources on a per-channel basis, then the `channel` parameter will be ignored.

As an example, this function is used to select which PFI digital input channels should be used as the A/B/Z signals when running a counter on an NI M-Series board as a quadrature encoder. The `other` parameter selects either the A, B, or Z signal, and the `source` parameter is used to specify which PFI digital input channel the external A, B, or Z signal is physically connected to.

This function is only useable on subdevices that provide support for the `INSN_CONFIG_SET_OTHER_SRC` configuration instruction.

## Return value

`0` on success, `-1` on error.

Prev | Up | Next
comedi_set_gate_source | Home | comedi_set_routing